Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class SelectEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
                  edu.udo.cs.miningmart.gui.stepsettings.SelectEditor

All Implemented Interfaces:
  javax.swing.CellEditor, java.io.Serializable, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellEditor

Direct Known Subclasses:
  ListSelectEditor, SingleSelectEditor

public abstract class SelectEditor
extends ParameterEditor

An editor and renderer for the `StepParameterTable`.

Version:
  $Id: SelectEditor.java,v 1.3 2006/04/11 14:10:13 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary
`protected javax.swing.JButton` | `button`

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`app, editable, loopnumber, numberofloops, oldparamcollections, opParam, paramcollections, step`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`SelectEditor(MiningMartApplication app, Step step, OpParam opParam)` Constructs new `SelectEditor` with a `JTextField`.

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`addChangeListener, cancelEditing, existsOutput, fireStateChanged, getAllParameterCollections, getChangeListener, getChangeListenerCount, getLoopNumber, getNumberOfLoops, getParameterCollection, getParameterCollection, getTableCellRendererComponent, getTheOpParam, init, makeOutput, removeAllChangeListener, removeChangeListener, setCollectionsInStep, setEditable, setLoopNumber, setNumberOfLoops, setParameterCollection, setParameterCollection`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Field Detail

### button

    protected javax.swing.JButton button

Constructor Detail

### SelectEditor

    public SelectEditor(MiningMartApplication app,
                        Step step,
                        OpParam opParam)

  Constructs new `SelectEditor` with a `JTextField`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005